## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           sndio
Version:        1.10.0
Release:        %{autorelease}
Summary:        Lightweight audio and MIDI sub-system

License:        ISC
URL:            https://sndio.org
Source0:        %{url}/sndio-1.10.0.tar.gz
Source1:        %{url}/sndio-1.10.0.tar.gz.asc
# https://keys.openpgp.org/search?q=alex%40caoua.org
Source2:        6B1A7447AAF091CCDD36BAA6015E339411694A6E.asc

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  alsa-lib-devel

%description
Sndio is a small audio and MIDI framework part of the OpenBSD project and
ported to FreeBSD, Linux and NetBSD. It provides a lightweight audio & MIDI
server and a fully documented user-space API to access either the server or
the hardware directly in a uniform way. Sndio is designed to work for desktop
applications, but pays special attention to synchronization mechanisms and
reliability required by music applications. Reliability through simplicity are
part of the project goals.

%package devel
Summary: Development headers and libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers and libraries for Sndio.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
./configure --prefix=%{_prefix} \
            --bindir=%{_bindir} \
            --includedir=%{_includedir} \
            --datadir=%{_datadir} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --enable-alsa \
            --enable-rmidi \
            --enable-umidi \
            --enable-dynamic
%make_build


%install
%make_install
install -pDm 0644 contrib/sndiod.service \
  %{buildroot}%{_sysconfdir}/systemd/system/sndiod.service
install -pDm 0644 contrib/default.sndiod \
  %{buildroot}%{_sysconfdir}/default/sndiod/default.sndiod

%check
# none at present

%files
%license LICENSE
%{_bindir}/aucat
%{_bindir}/midicat
%{_bindir}/sndioctl
%{_bindir}/sndiod
%{_libdir}/libsndio.so.7
%{_libdir}/libsndio.so.7.0
%{_libdir}/libsndio.so.7.3
%{_mandir}/man1/aucat.1*
%{_mandir}/man1/midicat.1*
%{_mandir}/man1/sndioctl.1*
%{_mandir}/man7/sndio.7*
%{_mandir}/man8/sndiod.8*
%{_sysconfdir}/systemd/system/sndiod.service
%{_sysconfdir}/default/sndiod/default.sndiod

%files devel
%{_includedir}/sndio.h
%{_libdir}/libsndio.so
%{_libdir}/pkgconfig/sndio.pc
%{_mandir}/man3/mio_close.3*
%{_mandir}/man3/mio_eof.3*
%{_mandir}/man3/mio_nfds.3*
%{_mandir}/man3/mio_open.3*
%{_mandir}/man3/mio_pollfd.3*
%{_mandir}/man3/mio_read.3*
%{_mandir}/man3/mio_revents.3*
%{_mandir}/man3/mio_write.3*
%{_mandir}/man3/sio_close.3*
%{_mandir}/man3/sio_eof.3*
%{_mandir}/man3/sio_getcap.3*
%{_mandir}/man3/sio_getpar.3*
%{_mandir}/man3/sio_initpar.3*
%{_mandir}/man3/sio_nfds.3*
%{_mandir}/man3/sio_onmove.3*
%{_mandir}/man3/sio_onvol.3*
%{_mandir}/man3/sio_open.3*
%{_mandir}/man3/sio_pollfd.3*
%{_mandir}/man3/sio_read.3*
%{_mandir}/man3/sio_revents.3*
%{_mandir}/man3/sio_setpar.3*
%{_mandir}/man3/sio_setvol.3*
%{_mandir}/man3/sio_start.3*
%{_mandir}/man3/sio_stop.3*
%{_mandir}/man3/sio_write.3*
%{_mandir}/man3/sioctl_close.3*
%{_mandir}/man3/sioctl_eof.3*
%{_mandir}/man3/sioctl_nfds.3*
%{_mandir}/man3/sioctl_ondesc.3*
%{_mandir}/man3/sioctl_onval.3*
%{_mandir}/man3/sioctl_open.3*
%{_mandir}/man3/sioctl_pollfd.3*
%{_mandir}/man3/sioctl_revents.3*
%{_mandir}/man3/sioctl_setval.3*

%changelog
## START: Generated by rpmautospec
* Thu Jun 26 2025 John Doe <packager@example.com> - 1.10.0-1
- Uncommitted changes
## END: Generated by rpmautospec
